CREATE TABLE ar_ref_accounts_all (
    SOURCE_REF_ACCOUNT_ID    NUMBER       ,
    SOURCE_REF_TABLE         VARCHAR2(960),
    BU_ID                    NUMBER(18, 0),
    LEDGER_ID                NUMBER(18, 0)    NOT NULL,
    BR_UNPAID_CCID           NUMBER(18, 0),
    BR_REMIT_CCID            NUMBER(18, 0),
    BR_FACTOR_CCID           NUMBER(18, 0),
    CLEARING_CCID            NUMBER(18, 0),
    DEPOSIT_OFFSET_CCID      NUMBER(18, 0),
    REV_CCID                 NUMBER(18, 0),
    FREIGHT_CCID             NUMBER(18, 0),
    REC_CCID                 NUMBER(18, 0),
    TAX_CCID                 NUMBER(18, 0),
    UNBILLED_CCID            NUMBER(18, 0),
    UNEARNED_CCID            NUMBER(18, 0),
    DIST_SET_CCID            NUMBER(18, 0),
    DRC_CCID                 NUMBER(18, 0),
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    SOURCE_REF_ACCOUNT_ID    NUMBER       ,
    SOURCE_REF_TABLE         VARCHAR2(960),
    BU_ID                    NUMBER(18, 0),
    LEDGER_ID                NUMBER(18, 0)    NOT NULL,
    CLEARING_CCID            NUMBER(18, 0),
    DEPOSIT_OFFSET_CCID      NUMBER(18, 0),
    REV_CCID                 NUMBER(18, 0),
    FREIGHT_CCID             NUMBER(18, 0),
    REC_CCID                 NUMBER(18, 0),
    TAX_CCID                 NUMBER(18, 0),
    UNBILLED_CCID            NUMBER(18, 0),
    UNEARNED_CCID            NUMBER(18, 0),
    DIST_SET_CCID            NUMBER(18, 0),
    DRC_CCID                 NUMBER(18, 0),
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    BR_UNPAID_CCID           NUMBER(18, 0),
    BR_REMIT_CCID            NUMBER(18, 0),
    BR_FACTOR_CCID           NUMBER(18, 0),
    CONSTRAINT pk_ar_ref_accounts_all PRIMARY KEY (SOURCE_REF_ACCOUNT_ID, SOURCE_REF_TABLE, BU_ID, SOURCE_REF_ACCOUNT_ID, SOURCE_REF_TABLE, BU_ID)
);
